Bug 1412109 - kernel: GPF: 0000 [#1] SMP / ext4_alloc_inode
Summary: kernel: GPF: 0000 [#1] SMP / ext4_alloc_inode
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 09:33 UTC by Rolf Fokkens
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-16 10:11:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Rolf Fokkens 2017-01-11 09:33:52 UTC
Description of problem:
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: general protection fault: 0000 [#1] SMP
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: Modules linked in: vhost_net vhost macvtap macvlan dm_crypt xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ebtable_filter ebtables ip6table_filter ip6_tables veth ip_gre ip_tunnel gre cfg802
11 nf_log_ipv4 nf_log_common xt_LOG xt_limit xt_physdev br_netfilter bridge xt_iprange xt_hashlimit xt_conntrack xt_nat xt_multiport iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat iptable_mangle ip_set_hash_ip ip_set nfne
tlink vfat fat intel_rapl x86_pkg_temp_thermal intel_powerclamp eeepc_wmi asus_wmi coretemp iTCO_wdt iTCO_vendor_support sparse_keymap mxm_wmi kvm_intel rfkill raid1 kvm irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel intel_cs
tate intel_uncore intel_rapl_perf joydev snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  tpm_infineon snd_hda_core tpm_tis tpm_tis_core tpm snd_hwdep snd_seq snd_seq_device i2c_i801 lpc_ich snd_pcm i2c_smbus mei_me wmi snd_timer mei snd shpchp soundcore nfsd auth_rpcgss nfs_acl lock
d grace sunrpc nf_conntrack_proto_gre nf_conntrack raid456 libcrc32c async_raid6_recov async_memcpy async_pq async_xor xor async_tx 8021q garp stp llc mrp raid6_pq i915 i2c_algo_bit drm_kms_helper crc32c_intel e1000e drm serio_raw ptp pps_core video fjes
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: CPU: 7 PID: 13789 Comm: ls Not tainted 4.8.15-300.fc25.x86_64 #1
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: Hardware name: System manufacturer System Product Name/P8Z77-V, BIOS 0604 02/06/2012
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: task: ffff9412781f8000 task.stack: ffff9414dffa4000
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: RIP: 0010:[<ffffffff91226550>]  [<ffffffff91226550>] kmem_cache_alloc+0x80/0x1b0
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: RSP: 0018:ffff9414dffa7ab8  EFLAGS: 00010246
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: RAX: f7ff9414c6f2bec8 RBX: 0000000000000000 RCX: 0000000000000015
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: RDX: 000000000bc34589 RSI: 0000000002400040 RDI: 00004e2fe020d370
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: RBP: ffff9414dffa7ae8 R08: ffffe248bfdcd370 R09: f7ff9414c6f2baa0
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: R10: ffff9412db4f6400 R11: 0000000000000018 R12: 0000000002400040
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: R13: ffffffff9130062b R14: ffff94188857c780 R15: ffff9418bb2408c0
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: FS:  00007fa909ee7800(0000) GS:ffff9418dfbc0000(0000) knlGS:0000000000000000
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: CR2: 000055c19a220ca8 CR3: 00000003f1f80000 CR4: 00000000000426e0
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: Stack:
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  0000000000001000 000000000c6c541d ffff941408c2c000 0000000000000000
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  ffffc248c2e194e0 ffff9414c6f43240 ffff9414dffa7b00 ffffffff9130062b
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  000000000c6c541d ffff9414dffa7b20 ffffffff9126c5fd 000000000c6c541d
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: Call Trace:
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff9130062b>] ext4_alloc_inode+0x1b/0x1a0
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff9126c5fd>] alloc_inode+0x1d/0x80
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff9126dd65>] iget_locked+0xc5/0x170
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff912e6d52>] ext4_iget+0x42/0xb80
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff912e78bf>] ext4_iget_normal+0x2f/0x40
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff912f2f0e>] ext4_lookup+0xde/0x210
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff9125c815>] lookup_slow+0xa5/0x170
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff9125d50c>] walk_component+0x1ec/0x310
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff9125e807>] path_lookupat+0x67/0x120
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff91260de1>] filename_lookup+0xb1/0x180
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff912265b3>] ? kmem_cache_alloc+0xe3/0x1b0
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff912609df>] ? getname_flags+0x4f/0x1f0
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff91260f86>] user_path_at_empty+0x36/0x40
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff912559f6>] vfs_fstatat+0x66/0xc0
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff91255fb1>] SYSC_newlstat+0x31/0x60
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff91062870>] ? do_page_fault+0x30/0x80
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff9125612e>] SyS_newlstat+0xe/0x10
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  [<ffffffff91803b72>] entry_SYSCALL_64_fastpath+0x1a/0xa4
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: Code: 49 83 78 10 00 4d 8b 08 0f 84 f8 00 00 00 4d 85 c9 0f 84 ef 00 00 00 49 63 46 20 49 8b 3e 4c 01 c8 40 f6 c7 0f 0f 85 1a 01 00 00 <48> 8b 18 48 8d 4a 01 4c 89 c8 65 48 0f c7 0f 0f 94 c0 84 c0 74 
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: RIP  [<ffffffff91226550>] kmem_cache_alloc+0x80/0x1b0
Jan 11 09:24:34 kvmbck02.tgho.nl kernel:  RSP <ffff9414dffa7ab8>
Jan 11 09:24:34 kvmbck02.tgho.nl kernel: ---[ end trace 6f57f6cb61c69451 ]---



Version-Release number of selected component (if applicable):
kernel-4.8.15-300.fc25.x86

How reproducible:
happened once.

Steps to Reproduce:
1. ?

Actual results:
See above

Expected results:
No issue at all

Additional info:

Comment 1 Rolf Fokkens 2017-01-16 09:30:59 UTC
The system crashed again, but at a different place:

Jan 16 05:38:53 kvmbck02 kernel: general protection fault: 0000 [#1] SMP
Jan 16 05:38:53 kvmbck02 kernel: Modules linked in: vhost_net vhost macvtap macvlan dm_crypt xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ebtable_filter ebtables ip6table_filter ip6_tables veth ip_gre ip_tunnel gre cfg80211 nf_lo
g_ipv4 nf_log_common xt_LOG xt_limit xt_physdev br_netfilter bridge xt_iprange xt_hashlimit xt_conntrack xt_nat xt_multiport iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat iptable_mangle ip_set_hash_ip ip_set nfnetlink vf
at fat intel_rapl x86_pkg_temp_thermal eeepc_wmi asus_wmi sparse_keymap rfkill iTCO_wdt iTCO_vendor_support intel_powerclamp mxm_wmi coretemp raid1 kvm_intel snd_hda_codec_hdmi kvm snd_hda_codec_realtek snd_hda_codec_generic irqbypass crc
t10dif_pclmul snd_hda_intel snd_hda_codec snd_hda_core joydev crc32_pclmul ghash_clmulni_intel intel_cstate snd_hwdep
Jan 16 05:38:53 kvmbck02 kernel: snd_seq snd_seq_device intel_uncore intel_rapl_perf snd_pcm tpm_infineon tpm_tis snd_timer tpm_tis_core snd tpm soundcore wmi lpc_ich mei_me shpchp i2c_i801 mei i2c_smbus nfsd auth_rpcgss nfs_acl lockd gra
ce sunrpc nf_conntrack_proto_gre nf_conntrack raid456 libcrc32c async_raid6_recov async_memcpy async_pq async_xor xor async_tx 8021q garp stp llc mrp raid6_pq i915 i2c_algo_bit drm_kms_helper e1000e crc32c_intel drm serio_raw ptp pps_core
 video fjes
Jan 16 05:38:53 kvmbck02 kernel: CPU: 1 PID: 88 Comm: kswapd0 Tainted: G        W       4.8.15-300.fc25.x86_64 #1
Jan 16 05:38:53 kvmbck02 kernel: Hardware name: System manufacturer System Product Name/P8Z77-V, BIOS 0604 02/06/2012
Jan 16 05:38:53 kvmbck02 kernel: task: ffff9fa877981e80 task.stack: ffff9fa877988000
Jan 16 05:38:53 kvmbck02 kernel: RIP: 0010:[<ffffffffae287908>]  [<ffffffffae287908>] buffer_check_dirty_writeback+0x48/0x70
Jan 16 05:38:53 kvmbck02 kernel: RSP: 0018:ffff9fa87798ba90  EFLAGS: 00010206
Jan 16 05:38:53 kvmbck02 kernel: RAX: f7ff9fa486f2fdd0 RBX: ffffea001af83ce0 RCX: 0000000000000000
Jan 16 05:38:53 kvmbck02 kernel: RDX: ffff9fa87798bb47 RSI: ffff9fa87798bb46 RDI: ffff9fa486f2fdd0
Jan 16 05:38:53 kvmbck02 kernel: RBP: ffff9fa87798ba90 R08: ffffea001af83ce0 R09: 0000000000000238
Jan 16 05:38:53 kvmbck02 kernel: R10: 0000000000000003 R11: 0000000000000039 R12: ffffea001af83cc0
Jan 16 05:38:53 kvmbck02 kernel: R13: ffff9fa87798be50 R14: ffff9fa87798bc30 R15: ffff9fa87798bb50
Jan 16 05:38:53 kvmbck02 kernel: FS:  0000000000000000(0000) GS:ffff9fa89fa40000(0000) knlGS:0000000000000000
Jan 16 05:38:53 kvmbck02 kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jan 16 05:38:53 kvmbck02 kernel: CR2: 00007fd86cfec000 CR3: 000000022e749000 CR4: 00000000000426e0
Jan 16 05:38:53 kvmbck02 kernel: Stack:
Jan 16 05:38:53 kvmbck02 kernel: ffff9fa87798bba0 ffffffffae1d27f4 00000001111e84f0 ffff9fa87ec2ed98
Jan 16 05:38:53 kvmbck02 kernel: ffff9fa877981e80 ffff9fa87798bc28 ffff9fa87798bc20 ffff9fa87798bc10
Jan 16 05:38:53 kvmbck02 kernel: ffff9fa87798bc18 ffff9fa87798bc08 0000000000000003 0000000000000000
Jan 16 05:38:53 kvmbck02 kernel: Call Trace:
Jan 16 05:38:53 kvmbck02 kernel: [<ffffffffae1d27f4>] shrink_page_list+0x5c4/0xa80
Jan 16 05:38:53 kvmbck02 kernel: [<ffffffffae1d34a7>] shrink_inactive_list+0x227/0x560
Jan 16 05:38:53 kvmbck02 kernel: [<ffffffffae1d40ef>] shrink_node_memcg+0x5af/0x770
Jan 16 05:38:53 kvmbck02 kernel: [<ffffffffae1d4391>] shrink_node+0xe1/0x320
Jan 16 05:38:53 kvmbck02 kernel: [<ffffffffae1d53a6>] kswapd+0x2f6/0x710
Jan 16 05:38:53 kvmbck02 kernel: [<ffffffffae1d50b0>] ? mem_cgroup_shrink_node+0x170/0x170
Jan 16 05:38:53 kvmbck02 kernel: [<ffffffffae0c0c08>] kthread+0xd8/0xf0
Jan 16 05:38:53 kvmbck02 kernel: [<ffffffffae803d7f>] ret_from_fork+0x1f/0x40
Jan 16 05:38:53 kvmbck02 kernel: [<ffffffffae0c0b30>] ? kthread_worker_fn+0x180/0x180
Jan 16 05:38:53 kvmbck02 kernel: Code: c7 48 8b 00 a8 01 74 46 48 8b 07 f6 c4 08 74 3a 48 8b 07 48 c1 e8 0d 88 02 80 22 01 48 8b 07 f6 c4 08 74 28 48 8b 7f 30 48 89 f8 <48> 8b 08 83 e1 04 74 03 c6 02 01 48 8b 08 83 e1 02 74 03 c6 06 
Jan 16 05:38:53 kvmbck02 kernel: RIP  [<ffffffffae287908>] buffer_check_dirty_writeback+0x48/0x70
Jan 16 05:38:53 kvmbck02 kernel: RSP <ffff9fa87798ba90>
Jan 16 05:38:55 kvmbck02 kernel: ---[ end trace 885691b2018b1322 ]---

Comment 2 Rolf Fokkens 2017-01-16 09:31:43 UTC
I suspect it's a hardware issue now.

Comment 3 Rolf Fokkens 2017-01-16 10:11:19 UTC
memtest86 found a memory errors. I'll close this issue.


Note You need to log in before you can comment on or make changes to this bug.